gmtset BASEMAP_TYPE plain
makecpt -Cwysiwyg -I -T19/25/0.1 -D> viscosity.cpt
set cpt=viscosity.cpt

rem*************draw a profile**********************************

set ps2=viscosity_profile.ps
set r2=-R0/1071.5/-100/-0

set J2=-JX6i/2i -K -P
set B2=-B100/10WSen
set datap=output_profile.txt

gawk "{print $10,$3,$9}" %datap% | blockmean %r2% -I5 > datap.xyz
surface datap.xyz %r2% -I1 -Gdatap.grd=nd -V
grdimage datap.grd %r2% %J2% %B2% -C%cpt% -V -X0.6i -Y3.0i > %ps2%
psscale -D6.3i/1i/1.5i/0.1i -B1 -C%cpt% -O -K -E -V >> %ps2%

del datap.xyz datap.grd